package com.goldenwater.slaj.hazard.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hazard.domain.ObjHazMw;

/**
 * 危险源对象表MW版 数据层
 */
@Mapper
public interface ObjHazMwMapper {

    /**
     * 查询危险源对象表MW版信息
     * @param guid 查询条件
     * @return 危险源对象表MW版信息
     */
    ObjHazMw selectObjHazMwByGuid(String guid);

    /**
     * 查询危险源对象表MW版列表
     * @param objHazMw 危险源对象表MW版查询条件
     * @return 危险源对象表MW版集合
     */
    List<ObjHazMw> selectObjHazMwList(ObjHazMw objHazMw);

    /**
     * 新增危险源对象表MW版
     * @param objHazMw 危险源对象表MW版信息
     * @return 影响行数
     */
    int insertObjHazMw(ObjHazMw objHazMw);

    /**
     * 修改危险源对象表MW版
     * @param objHazMw 危险源对象表MW版信息
     * @return 影响行数
     */
    int updateObjHazMw(ObjHazMw objHazMw);

    /**
     * 删除危险源对象表MW版
     * @param guid 危险源对象表MW版主键
     * @return 影响行数
     */
    int deleteObjHazMwByGuid(String guid);

    /**
     * 批量删除危险源对象表MW版
     * @param guids 危险源对象表MW版主键数组
     * @return 影响行数
     */
    int deleteObjHazMwByGuids(String[] guids);
}
